org.jboss.resteasy.client

## Class ClientRequestFactory

- java.lang.Object
- - org.jboss.resteasy.client.ClientRequestFactory

- Deprecated.

      @Deprecated
      public class ClientRequestFactory
      extends Object

  Helper class that allows you to pre-initialize an Executor, preset some ClientRequest attributes (like follow redirects) and define some client-side interceptors you want applied
  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRequestFactory()` Deprecated.
    `ClientRequestFactory(ClientExecutor executor, ResteasyProviderFactory providerFactory)` Deprecated.
    `ClientRequestFactory(ClientExecutor executor, ResteasyProviderFactory providerFactory, URI base)` Deprecated.
    `ClientRequestFactory(ClientExecutor executor, URI base)` Deprecated.
    `ClientRequestFactory(ClientRequestFactory other)` Deprecated.
    `ClientRequestFactory(URI base)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientRequestFactory` | `clone()` Deprecated.
    `<T> T` | `createProxy(Class<T> clazz)` Deprecated.
    `<T> T` | `createProxy(Class<T> clazz, String baseUri)` Deprecated.
    `<T> T` | `createProxy(Class<T> clazz, URI baseUri)` Deprecated.
    `ClientRequest` | `createRelativeRequest(String uriTemplate)` Deprecated.
    `ClientRequest` | `createRequest(String uriTemplate)` Deprecated.
    `void` | `enableDefaultInterceptors()` Deprecated.
    `<T> T` | `get(String uriTemplate, Class<T> type, Object... params)` Deprecated.
    `URI` | `getBase()` Deprecated.
    `ClientInterceptorRepository` | `getPrefixInterceptors()` Deprecated.
    `<T> T` | `getRelative(String uriTemplate, Class<T> type, Object... params)` Deprecated.
    `ClientInterceptorRepository` | `getSuffixInterceptors()` Deprecated.
    `boolean` | `isFollowRedirects()` Deprecated.
    `void` | `setBase(URI base)` Deprecated.
    `void` | `setFollowRedirects(boolean followRedirects)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientRequestFactory

          public ClientRequestFactory()

      Deprecated.

    - #### ClientRequestFactory

          public ClientRequestFactory(URI base)

      Deprecated.

    - #### ClientRequestFactory

          public ClientRequestFactory(ClientExecutor executor,
                              URI base)

      Deprecated.

    - #### ClientRequestFactory

          public ClientRequestFactory(ClientExecutor executor,
                              ResteasyProviderFactory providerFactory)

      Deprecated.

    - #### ClientRequestFactory

          public ClientRequestFactory(ClientExecutor executor,
                              ResteasyProviderFactory providerFactory,
                              URI base)

      Deprecated.

    - #### ClientRequestFactory

          public ClientRequestFactory(ClientRequestFactory other)

      Deprecated.

  - ### Method Detail

    - #### getBase

          public URI getBase()

      Deprecated.

    - #### setBase

          public void setBase(URI base)

      Deprecated.

    - #### enableDefaultInterceptors

          public void enableDefaultInterceptors()

      Deprecated.

    - #### getPrefixInterceptors

          public ClientInterceptorRepository getPrefixInterceptors()

      Deprecated.

    - #### getSuffixInterceptors

          public ClientInterceptorRepository getSuffixInterceptors()

      Deprecated.

    - #### isFollowRedirects

          public boolean isFollowRedirects()

      Deprecated.

    - #### setFollowRedirects

          public void setFollowRedirects(boolean followRedirects)

      Deprecated.

    - #### clone

          public ClientRequestFactory clone()

      Deprecated.
      Overrides:
        `clone` in class `Object`

    - #### createRelativeRequest

          public ClientRequest createRelativeRequest(String uriTemplate)

      Deprecated.

    - #### createRequest

          public ClientRequest createRequest(String uriTemplate)

      Deprecated.

    - #### getRelative

          public <T> T getRelative(String uriTemplate,
                          Class<T> type,
                          Object... params)
                        throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### get

          public <T> T get(String uriTemplate,
                  Class<T> type,
                  Object... params)
                throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### createProxy

          public <T> T createProxy(Class<T> clazz)

      Deprecated.

    - #### createProxy

          public <T> T createProxy(Class<T> clazz,
                          String baseUri)

      Deprecated.

    - #### createProxy

          public <T> T createProxy(Class<T> clazz,
                          URI baseUri)

      Deprecated.

Copyright © 2014. All Rights Reserved.